/**
 * Autogenerated by Avro
 * 
 * DO NOT EDIT DIRECTLY
 */
package example;

@SuppressWarnings("all")
public class SegmentoCaminho extends org.apache.avro.specific.SpecificRecordBase implements org.apache.avro.specific.SpecificRecord {
  public static final org.apache.avro.Schema SCHEMA$ = org.apache.avro.Schema.parse("{\"type\":\"record\",\"name\":\"SegmentoCaminho\",\"namespace\":\"example\",\"fields\":[{\"name\":\"id\",\"type\":\"int\"},{\"name\":\"tipo\",\"type\":{\"type\":\"enum\",\"name\":\"TipoCaminho\",\"symbols\":[\"AVENIDA\",\"ESTRADA\"]}},{\"name\":\"nome\",\"type\":\"string\"},{\"name\":\"inicio\",\"type\":{\"type\":\"record\",\"name\":\"Coordenada\",\"fields\":[{\"name\":\"pos_x\",\"type\":\"long\"},{\"name\":\"pos_y\",\"type\":\"long\"}]}},{\"name\":\"fin\",\"type\":\"Coordenada\"}]}");
  public int id;
  public example.TipoCaminho tipo;
  public java.lang.CharSequence nome;
  public example.Coordenada inicio;
  public example.Coordenada fin;
  public org.apache.avro.Schema getSchema() { return SCHEMA$; }
  // Used by DatumWriter.  Applications should not call. 
  public java.lang.Object get(int field$) {
    switch (field$) {
    case 0: return id;
    case 1: return tipo;
    case 2: return nome;
    case 3: return inicio;
    case 4: return fin;
    default: throw new org.apache.avro.AvroRuntimeException("Bad index");
    }
  }
  // Used by DatumReader.  Applications should not call. 
  @SuppressWarnings(value="unchecked")
  public void put(int field$, java.lang.Object value$) {
    switch (field$) {
    case 0: id = (java.lang.Integer)value$; break;
    case 1: tipo = (example.TipoCaminho)value$; break;
    case 2: nome = (java.lang.CharSequence)value$; break;
    case 3: inicio = (example.Coordenada)value$; break;
    case 4: fin = (example.Coordenada)value$; break;
    default: throw new org.apache.avro.AvroRuntimeException("Bad index");
    }
  }
}
